<?php

	//	Read the POST data

	$PostData = file_get_contents("php://input");

	//	Parse the XML

	$xml = @simplexml_load_string($PostData);

	// Process the information in the request

	$attributes = $xml->attributes();
	$from = strval($attributes["from"]);						// The from address
	$to = strval($attributes["to"]);								// The to address
	$provider = strval($attributes["provider"]);				// The network
	$protocol = strval($attributes["protocol"]);				// The protocol used USSD , SMS
	$sessionid = strval($attributes["sessionid"]);			// The network unique protocol
	$variable = strval($attributes["variable"]);				// The session variable
	$request = strval($xml);										// The request text
	$end = "false";

	//	Process the request

	if ($request == "end") {
		$end = "true";
		$responsetext = "So long and thanks for all the fish";
	} else {
		$variable = "step=1,status=ok";								// Can be any 64 characters string, this will be returned as the variable in the next request
		$responsetext = "Thank you, respond with end to terminate the session";
	}

	//	Return the results after processing the request

	$document = new DOMDocument("1.0");
	$response = $document->createElement("response",$responsetext);
	$response->setAttribute("end",$end);					// Set the end attribute
	$response->setAttribute("variable",$variable);		// Set the session variable attribute
	$document->appendChild($response);

	echo $document->saveXML();
?>